Sets the image colorspace

- « Gmagick::setimagechanneldepth

- Gmagick::setimagecompose »

- PHP Manual
- Gmagick
- Sets the image colorspace

# Gmagick::setimagecolorspace

(PECL gmagick >= Unknown)

Gmagick::setimagecolorspace — Sets the image colorspace

### Description

public Gmagick::setimagecolorspace(int `$colorspace`): Gmagick

Sets the image colorspace.

### Parameters

`colorspace`

  One of the Colorspace constant (`Gmagick::COLORSPACE_*`).

### Return Values

The Gmagick object.

### Errors/Exceptions

Throws an GmagickException on error.